import { createInterpolate } from '../utils';
import { rPretty } from '../tick-methods/r-pretty';
import { Pow } from './pow';
export class Sqrt extends Pow {
    getDefaultOptions() {
        return {
            domain: [0, 1],
            range: [0, 1],
            nice: false,
            clamp: false,
            round: false,
            interpolate: createInterpolate,
            tickMethod: rPretty,
            tickCount: 5,
            exponent: 0.5,
        };
    }
    constructor(options) {
        super(options);
    }
    update(options) {
        super.update(options);
    }
    clone() {
        return new Sqrt(this.options);
    }
}
//# sourceMappingURL=sqrt.js.map