"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Sqrt = void 0;
const utils_1 = require("../utils");
const r_pretty_1 = require("../tick-methods/r-pretty");
const pow_1 = require("./pow");
class Sqrt extends pow_1.Pow {
    getDefaultOptions() {
        return {
            domain: [0, 1],
            range: [0, 1],
            nice: false,
            clamp: false,
            round: false,
            interpolate: utils_1.createInterpolate,
            tickMethod: r_pretty_1.rPretty,
            tickCount: 5,
            exponent: 0.5,
        };
    }
    constructor(options) {
        super(options);
    }
    update(options) {
        super.update(options);
    }
    clone() {
        return new Sqrt(this.options);
    }
}
exports.Sqrt = Sqrt;
//# sourceMappingURL=sqrt.js.map