"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pows = exports.logs = void 0;
const reflect = (f) => {
    return (x) => -f(-x);
};
exports.logs = (base, shouldReflect) => {
    const baseCache = Math.log(base);
    const log = base === Math.E ? Math.log : (x) => Math.log(x) / baseCache;
    return shouldReflect ? reflect(log) : log;
};
exports.pows = (base, shouldReflect) => {
    const pow = base === Math.E ? Math.exp : (x) => base ** x;
    return shouldReflect ? reflect(pow) : pow;
};
//# sourceMappingURL=log.js.map